add_newline = false
scan_timeout = 60
format = "$all"

[aws]
symbol = " "
expiration_symbol = " !"
style = "bold yellow"
disabled = false

[azure]
symbol = " "
style = "blue bold"
disabled = true

[battery]
full_symbol = "󰁹"
charging_symbol = "󰂅 "
discharging_symbol = "󱉝 "
unknown_symbol = "󰂑"
empty_symbol = "󰂎"
disabled = false

[[battery.display]]
threshold = 20
charging_symbol = "󱊥 "
discharging_symbol = "󱊢"
style = "bold yellow"

[[battery.display]]
threshold = 10
charging_symbol = "󱊤 "
discharging_symbol = "󱊡"
style = "bold red"

[buf]
symbol = "󰿘 "
style = "bold blue"
disabled = false

[bun]
symbol = "🍞 "
style = "bold red"
disabled = false

[c]
symbol = "󰙱 "
style = "bold cyan"
disabled = false

[character]
success_symbol = "[❯](bold green)"
error_symbol = "[✗](bold red)"
vimcmd_symbol = "[❮](bold green)"
vimcmd_visual_symbol = "[❮](bold yellow)"
vimcmd_replace_one_symbol = "[❮](bold purple)"
vimcmd_replace_symbol = "[❮](bold purple)"
disabled = false

[cmake]
symbol = "󰔷 "
style = "bold blue"
disabled = false

[cobol]
symbol = "󱑠 "
style = "bold blue"
disabled = false

[cmd_duration]
min_time = 1000
show_milliseconds = false
show_notifications = false
style = "bold yellow"
disabled = false

[conda]
symbol = "󱔎 "
style = "bold green"
disabled = false

[container]
symbol = "󱣘 "
style = "bold red dimmed"
disabled = false

[crystal]
symbol = " "
style = "bold white"
disabled = false

[daml]
symbol = " "
style = "bold blue"
disabled = false

[dart]
symbol = " "
style = "bold blue"
disabled = false

[deno]
symbol = "🦕 "
style = "green bold"
disabled = false

[directory]
truncation_length = 5
truncate_to_repo = true
use_logical_path = true
home_symbol = "~"
truncation_symbol = ""
read_only = "  "
read_only_style = "bold red"
style = "bold cyan"
disabled = false

[docker_context]
disabled = true

[dotnet]
symbol = ".NET "
format = "via [$symbol($version )($tfm )]($style)"
style = "bold purple"
disabled = false

[elixir]
symbol = " "
style = "bold purple"
disabled = false

[elm]
symbol = " "
style = "cyan bold"
disabled = false

[env_var]
disabled = true

[erlang]
symbol = " "
style = "bold red"
disabled = false

[fennel]
symbol = "🌱 "
style = "bold yellow"
disabled = false

[fill]
disabled = true

[fossil_branch]
symbol = " "
style = "bold cyan"
truncation_symbol = "…"
disabled = false

[gcloud]
symbol = " "
style = "bold blue"
disabled = false

[git_branch]
truncation_symbol = "…"
symbol = " "
style = "bold purple"
disabled = false

[git_commit]
commit_hash_length = 8
only_detached = true
tag_symbol = " 󰓹 "
style = "bold green"
format = "[\\($hash($tag)\\)]($style) "
tag_disabled = false
disabled = false

[git_state]
rebase = "REBASING"
merge = "MERGING"
revert = "REVERTING"
cherry_pick = "CHERRY-PICKING"
bisect = "BISECTING"
am = "APPLY-MAILBOX"
am_or_rebase = "APPLY-MAILBOX/REBASE"
style = "dimmed bold yellow"
disabled = false

[git_metrics]
disabled = true

[git_status]
conflicted = "=${count} "
ahead = "⇡${count} "
behind = "⇣${count} "
diverged = "⇡${ahead_count} ⇣${behind_count} "
untracked = "?${count} "
stashed = "\\$${count} "
modified = "!${count} "
staged = "+${count} "
renamed = "»${count} "
deleted = "✘${count} "
style = "bold red"
format = "([$all_status$ahead_behind]($style))"
disabled = false

[golang]
symbol = " "
style = "bold cyan"
disabled = false

[guix_shell]
disabled = true

[gradle]
symbol = " "
style = "bold green"
disabled = false

[haskell]
symbol = "󰲒 "
style = "bold purple"
disabled = false

[haxe]
symbol = " "
style = "bold yellow"
disabled = false

[helm]
symbol = "󰠳 "
style = "bold white"
disabled = false

[hostname]
disabled = true

[java]
symbol = " "
style = "red bold"
disabled = false

[jobs]
threshold = 1
symbol = "✦"
style = "bold yellow"
disabled = false

[julia]
symbol = " "
style = "dimmed green bold"
disabled = false

[kotlin]
symbol = " "
style = "bold blue"
disabled = false

[kubernetes]
symbol = "󱃾 "
style = "blue bold"
disabled = false

[line_break]
disabled = false

[localip]
disabled = true

[lua]
lua_binary = "fake-lua"
symbol = " "
style = "bold blue"
disabled = false

[memory_usage]
disabled = true

[meson]
symbol = "󰕣 "
truncation_symbol = "…"
style = "bold blue"
disabled = false

[hg_branch]
symbol = " "
truncation_symbol = "…"
style = "bold purple"
disabled = false

[nim]
symbol = " "
style = "bold dimmed yellow"
disabled = false

[nix_shell]
disabled = true

[nodejs]
symbol = " "
style = "bold green"
not_capable_style = "bold red"
disabled = false

[ocaml]
symbol = " "
global_switch_indicator = ""
local_switch_indicator = "*"
style = "bold yellow"
disabled = false

[opa]
symbol = "󱅧 "
style = "bold white"
disabled = false

[openstack]
symbol = " "
style = "bold red"
disabled = false

[os]
disabled = true

[package]
display_private = true
symbol = " "
style = "bold green"
disabled = false

[perl]
symbol = " "
style = "bold purple"
disabled = false

[php]
symbol = "🐘 "
style = "bold purple"
disabled = false

[pijul_channel]
symbol = " "
style = "bold white"
truncation_symbol = "…"
disabled = false

[pulumi]
symbol = "  "
style = "bold purple"
search_upwards = true
disabled = false

[purescript]
symbol = " "
style = "bold white"
disabled = false

[python]
pyenv_version_name = false
pyenv_prefix = "pyenv"
symbol = "󰌠 "
style = "yellow bold"
disabled = false

[rlang]
symbol = "󰟔 "
style = "bold blue"
disabled = false

[raku]
symbol = " "
style = "bold yellow"
disabled = false

[red]
symbol = "󱥒 "
style = "bold red"
disabled = false

[ruby]
symbol = "󰴭 "
style = "dimmed bold red"
disabled = false

[rust]
symbol = "󱘗 "
style = "bold red"
disabled = false

[scala]
symbol = " "
style = "bold dimmed red"
disabled = false

[shell]
disabled = true

[shlvl]
disabled = true

[singularity]
disabled = true

[spack]
symbol = " "
style = "bold blue"
disabled = false

[status]
style = "bold red"
format = "[$status( \\(SIG$signal_name\\))]($style) "
disabled = false

[sudo]
disabled = true

[swift]
symbol = "󰛥 "
style = "bold red"
disabled = false

[terraform]
symbol = " "
style = "bold purple"
format = "via [$symbol($version )$workspace]($style) "
disabled = false

[time]
disabled = true

[username]
disabled = true

[vagrant]
symbol = " "
style = "cyan bold"
disabled = false

[vlang]
symbol = " "
style = "bold blue"
disabled = false

[vcsh]
disabled = true

[zig]
symbol = "↯ "
style = "bold yellow"
disabled = false
